summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2020-09-21 22:28:36 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2020-09-22 02:13:34 +0200
commitfb9c7aaceb30ca6bd53997729750bed18aa6534c (patch)
treed428cba6359a0b832f5b2bdd14f213710bb02889
parent00f3b17575dbc5be0814e5f7df7389a320ba13d6 (diff)
downloadtde-packaging-gentoo-fb9c7aac.tar.gz
tde-packaging-gentoo-fb9c7aac.zip
media-libs/lcms: Drop python2_6, fix KEYWORDS, add missing || die
- python2_7 must be dropped mid-term though. - Move RESTRICT and REQUIRED_USE where we expect them - Use best practice ltprune command Package-Manager: Portage-3.0.8, Repoman-3.0.1 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
-rw-r--r--media-libs/lcms/lcms-1.19-r1.ebuild29
1 files changed, 15 insertions, 14 deletions
diff --git a/media-libs/lcms/lcms-1.19-r1.ebuild b/media-libs/lcms/lcms-1.19-r1.ebuild
index c8c11511..36ae3390 100644
--- a/media-libs/lcms/lcms-1.19-r1.ebuild
+++ b/media-libs/lcms/lcms-1.19-r1.ebuild
@@ -3,15 +3,12 @@
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
-PYTHON_COMPAT=( python2_{6,7} )
+PYTHON_COMPAT=( python2_7 )
inherit autotools eutils python-r1
-# Don't use Gentoo mirrors
-RESTRICT="mirror"
-
-DESCRIPTION="A lightweight, speed optimized color management engine"
-HOMEPAGE="http://www.littlecms.com/"
+DESCRIPTION="Lightweight, speed optimized color management engine"
+HOMEPAGE="https://www.littlecms.com/"
SRC_URI="mirror://sourceforge/lcms/${PV}/${P}.tar.gz"
LICENSE="MIT"
@@ -19,15 +16,19 @@ SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 m68k ~mips ppc ppc64 s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="jpeg python static-libs tiff zlib"
-RDEPEND="tiff? ( media-libs/tiff:0 )
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+# Don't use Gentoo mirrors
+RESTRICT="mirror"
+
+RDEPEND="
jpeg? ( virtual/jpeg:0 )
- zlib? ( sys-libs/zlib )
- python? ( ${PYTHON_DEPS} )"
+ python? ( ${PYTHON_DEPS} )
+ tiff? ( media-libs/tiff:0 )
+ zlib? ( sys-libs/zlib )"
DEPEND="${RDEPEND}
python? ( >=dev-lang/swig-1.3.31 )"
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
PATCHES=(
"${FILESDIR}/${P}-disable_static_modules.patch"
"${FILESDIR}/${P}-implicit.patch"
@@ -35,7 +36,7 @@ PATCHES=(
src_prepare() {
# Python bindings are built/installed manually.
- sed -e "/SUBDIRS =/s/ python//" -i Makefile.am
+ sed -e "/SUBDIRS =/s/ python//" -i Makefile.am || die
default
@@ -43,7 +44,7 @@ src_prepare() {
# run swig to regenerate lcms_wrap.cxx and lcms.py (bug #148728)
if use python; then
- cd python
+ cd python || die
./swig_lcms || die "swig failed to regenerate files"
fi
}
@@ -102,5 +103,5 @@ src_install() {
insinto /usr/share/lcms/profiles
doins testbed/*.icm
- find "${D}" -name '*.la' -exec rm -f '{}' +
+ find "${ED}" -name '*.la' -delete || die
}